<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/5_mission/dayzexpansion_basebuilding/mission/missiongameplay.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d2c/a08718_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">missiongameplay.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d2c/a08718.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * MissionGameplay.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       MissionGameplay</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../de/d6c/a03873.html">   16</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../de/d6c/a03873.html">MissionGameplay</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">// OnUpdate</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../de/d6c/a03873.html#ad9319690e7754f3ecce784daca227221">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d6c/a03873.html#ad9319690e7754f3ecce784daca227221">OnUpdate</a>( <span class="keywordtype">float</span> timeslice )</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        super.OnUpdate( timeslice );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span> (!m_bLoaded)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="comment"></span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="comment">        //! Checking for keyboard focus</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="comment"></span>        <span class="keywordtype">bool</span> inputIsFocused = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="comment"></span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">        //! Reference to focused windget</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment"></span>        Widget focusedWidget = GetFocus();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span> (focusedWidget)</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">if</span> (focusedWidget.ClassName().Contains(<span class="stringliteral">&quot;EditBoxWidget&quot;</span>))</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                inputIsFocused = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            } </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> (focusedWidget.ClassName().Contains(<span class="stringliteral">&quot;MultilineEditBoxWidget&quot;</span>))</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                inputIsFocused = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        Man man = GetGame().GetPlayer();    <span class="comment">//! Refernce to man</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        Input input = GetGame().GetInput();     <span class="comment">//! Reference to input</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a> playerPB = <a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a>.Cast(man); <span class="comment">//! Expansion reference to player</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">if</span> (playerPB &amp;&amp; playerPB.GetHumanInventory()) </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="comment">            //! Expansion reference to item in hands</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="comment"></span>            EntityAI itemInHands = playerPB.GetHumanInventory().GetEntityInHands();</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment"></span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="comment">            //! Expansion reference to hologram</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment"></span>            <a class="code hl_class" href="../../d0/dc8/a03409.html">Hologram</a> hologram;  </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordflow">if</span> (playerPB.GetPlayerState() == EPlayerStates.ALIVE &amp;&amp; !playerPB.IsUnconscious())</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            {<span class="comment"></span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="comment">                //! Basebuilding Snaping</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="comment"></span>                <span class="keywordflow">if</span> (playerPB &amp;&amp; playerPB.IsPlacingLocal() &amp;&amp; !inputIsFocused)</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>                {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                    hologram = playerPB.GetHologramLocal();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                    <span class="keywordflow">if</span> (hologram)</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                        <span class="keywordflow">if</span> (input.LocalPress(<span class="stringliteral">&quot;UAExpansionSnappingToggle&quot;</span>))</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                        {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>                            hologram.<a class="code hl_function" href="../../d0/dc8/a03409.html#a3d74be19d50d9d01527cd20ccf8b3703">SetUsingSnap</a>(!hologram.<a class="code hl_function" href="../../d0/dc8/a03409.html#a4ea4c65decc6cc2f20f1180e5d95f8f7">IsUsingSnap</a>());</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                            </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                            <span class="keywordflow">if</span> (hologram.<a class="code hl_function" href="../../d0/dc8/a03409.html#a4ea4c65decc6cc2f20f1180e5d95f8f7">IsUsingSnap</a>())</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                            {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>                                <a class="code hl_function" href="../../dd/dd8/a00719.html#a035f8a89b4bc04b99c33feb27da703fd">ExpansionNotification</a>(<span class="stringliteral">&quot;STR_EXPANSION_SNAPPING_TITLE&quot;</span>, <span class="stringliteral">&quot;STR_EXPANSION_SNAPPING_ENABLED&quot;</span>, <a class="code hl_variable" href="../../de/d5d/a08769.html#a184a0075eaede2061c7a7d80cf8b419a">EXPANSION_NOTIFICATION_ICON_INFO</a>, <a class="code hl_variable" href="../../de/d5d/a08769.html#ad39fbc78a3cd87c7a01d35d926627060">COLOR_EXPANSION_NOTIFICATION_SUCCSESS</a>, 5).<a class="code hl_function" href="../../d4/d76/a04177.html#a1395a0c78410f612fc3ca2c040ef1580">Info</a>(playerPB.GetIdentity());</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>                            } <span class="keywordflow">else</span> {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                                <a class="code hl_function" href="../../dd/dd8/a00719.html#a035f8a89b4bc04b99c33feb27da703fd">ExpansionNotification</a>(<span class="stringliteral">&quot;STR_EXPANSION_SNAPPING_TITLE&quot;</span>, <span class="stringliteral">&quot;STR_EXPANSION_SNAPPING_DISABLED&quot;</span>, <a class="code hl_variable" href="../../de/d5d/a08769.html#a184a0075eaede2061c7a7d80cf8b419a">EXPANSION_NOTIFICATION_ICON_INFO</a>, <a class="code hl_variable" href="../../de/d5d/a08769.html#ad39fbc78a3cd87c7a01d35d926627060">COLOR_EXPANSION_NOTIFICATION_SUCCSESS</a>, 5).<a class="code hl_function" href="../../d4/d76/a04177.html#a1395a0c78410f612fc3ca2c040ef1580">Info</a>(playerPB.GetIdentity());</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                            }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                        }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                        <span class="keywordflow">if</span> (input.LocalValue(<span class="stringliteral">&quot;UAExpansionSnappingDirectionNext&quot;</span>) != 0)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                        {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                            hologram.<a class="code hl_function" href="../../d0/dc8/a03409.html#a8bc1b4f7ae9b5564f674bf470f930f6f">NextDirection</a>();</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                        }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                        <span class="keywordflow">if</span> (input.LocalValue(<span class="stringliteral">&quot;UAExpansionSnappingDirectionPrevious&quot;</span>) != 0)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                            hologram.<a class="code hl_function" href="../../d0/dc8/a03409.html#a214e54e891da046083ff94d57e1c4b3c">PreviousDirection</a>();</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                        }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">// Expansion OnKeyPress</span><span class="comment"></span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span><span class="comment">    //! Includes key-press commands for some inputs in menus</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span><span class="comment"></span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../de/d6c/a03873.html#a4c7df6fdca85a5a381fc2c2e517237e1">  100</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d6c/a03873.html#a4c7df6fdca85a5a381fc2c2e517237e1">OnKeyPress</a>(<span class="keywordtype">int</span> key)</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        super.OnKeyPress(key);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <a class="code hl_class" href="../../d9/d11/a03445.html">ExpansionLockUIBase</a> menu;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">if</span> (Class.CastTo(menu, GetGame().GetUIManager().FindMenu(<a class="code hl_variable" href="../../de/d5d/a08769.html#ab13c5f8c167eb49e48da82104f36b1d5">MENU_EXPANSION_NUMPAD_MENU</a>)))</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            menu.<a class="code hl_function" href="../../d9/d11/a03445.html#a7a13da67210d7e78df81eca3712488e0">OnKeyPress</a>(key);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        menu = NULL;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">if</span> (Class.CastTo(menu, GetGame().GetUIManager().FindMenu(<a class="code hl_variable" href="../../de/d5d/a08769.html#ade00ff1f34ba79d21f7a8ab1779d4073">MENU_EXPANSION_CODELOCK_MENU</a>)))</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            menu.<a class="code hl_function" href="../../d9/d11/a03445.html#a7a13da67210d7e78df81eca3712488e0">OnKeyPress</a>(key);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>}</div>
<div class="ttc" id="aa00719_html_a035f8a89b4bc04b99c33feb27da703fd"><div class="ttname"><a href="../../dd/dd8/a00719.html#a035f8a89b4bc04b99c33feb27da703fd">ExpansionNotification</a></div><div class="ttdeci">class ExpansionNotificationTemplate&lt; Class T &gt; ExpansionNotification(StringLocaliser title, StringLocaliser text, string icon=&quot;&quot;, int color=0, float time=7, ExpansionNotificationType type=ExpansionNotificationType.TOAST)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/a00719_source.html#l00066">expansionnotificationsystem.c:132</a></div></div>
<div class="ttc" id="aa03409_html"><div class="ttname"><a href="../../d0/dc8/a03409.html">Hologram</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d2e/a00056_source.html#l00016">hologram.c:17</a></div></div>
<div class="ttc" id="aa03409_html_a214e54e891da046083ff94d57e1c4b3c"><div class="ttname"><a href="../../d0/dc8/a03409.html#a214e54e891da046083ff94d57e1c4b3c">Hologram::PreviousDirection</a></div><div class="ttdeci">void PreviousDirection()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d2e/a00056_source.html#l00534">hologram.c:534</a></div></div>
<div class="ttc" id="aa03409_html_a3d74be19d50d9d01527cd20ccf8b3703"><div class="ttname"><a href="../../d0/dc8/a03409.html#a3d74be19d50d9d01527cd20ccf8b3703">Hologram::SetUsingSnap</a></div><div class="ttdeci">void SetUsingSnap(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d2e/a00056_source.html#l01194">hologram.c:1194</a></div></div>
<div class="ttc" id="aa03409_html_a4ea4c65decc6cc2f20f1180e5d95f8f7"><div class="ttname"><a href="../../d0/dc8/a03409.html#a4ea4c65decc6cc2f20f1180e5d95f8f7">Hologram::IsUsingSnap</a></div><div class="ttdeci">bool IsUsingSnap()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d2e/a00056_source.html#l01202">hologram.c:1202</a></div></div>
<div class="ttc" id="aa03409_html_a8bc1b4f7ae9b5564f674bf470f930f6f"><div class="ttname"><a href="../../d0/dc8/a03409.html#a8bc1b4f7ae9b5564f674bf470f930f6f">Hologram::NextDirection</a></div><div class="ttdeci">void NextDirection()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d2e/a00056_source.html#l00524">hologram.c:524</a></div></div>
<div class="ttc" id="aa03445_html"><div class="ttname"><a href="../../d9/d11/a03445.html">ExpansionLockUIBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00017">expansioncodelockui.c:18</a></div></div>
<div class="ttc" id="aa03445_html_a7a13da67210d7e78df81eca3712488e0"><div class="ttname"><a href="../../d9/d11/a03445.html#a7a13da67210d7e78df81eca3712488e0">ExpansionLockUIBase::OnKeyPress</a></div><div class="ttdeci">override void OnKeyPress(int key)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00394">expansioncodelockui.c:394</a></div></div>
<div class="ttc" id="aa03849_html"><div class="ttname"><a href="../../db/d1a/a03849.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d25/a08607_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa03873_html"><div class="ttname"><a href="../../de/d6c/a03873.html">MissionGameplay</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2c/a08718_source.html#l00016">missiongameplay.c:17</a></div></div>
<div class="ttc" id="aa03873_html_a4c7df6fdca85a5a381fc2c2e517237e1"><div class="ttname"><a href="../../de/d6c/a03873.html#a4c7df6fdca85a5a381fc2c2e517237e1">MissionGameplay::OnKeyPress</a></div><div class="ttdeci">override void OnKeyPress(int key)</div><div class="ttdoc">Includes key-press commands for some inputs in menus.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2c/a08718_source.html#l00100">missiongameplay.c:100</a></div></div>
<div class="ttc" id="aa03873_html_ad9319690e7754f3ecce784daca227221"><div class="ttname"><a href="../../de/d6c/a03873.html#ad9319690e7754f3ecce784daca227221">MissionGameplay::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(float timeslice)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2c/a08718_source.html#l00021">missiongameplay.c:21</a></div></div>
<div class="ttc" id="aa04177_html_a1395a0c78410f612fc3ca2c040ef1580"><div class="ttname"><a href="../../d4/d76/a04177.html#a1395a0c78410f612fc3ca2c040ef1580">ExpansionNotificationTemplate&lt; Class T &gt;::Info</a></div><div class="ttdeci">void Info(PlayerIdentity identity=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/a00719_source.html#l00115">expansionnotificationsystem.c:115</a></div></div>
<div class="ttc" id="aa08769_html_a184a0075eaede2061c7a7d80cf8b419a"><div class="ttname"><a href="../../de/d5d/a08769.html#a184a0075eaede2061c7a7d80cf8b419a">EXPANSION_NOTIFICATION_ICON_INFO</a></div><div class="ttdeci">static const string EXPANSION_NOTIFICATION_ICON_INFO</div><div class="ttdoc">New icons.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08769_source.html#l00187">expansionconstants.c:187</a></div></div>
<div class="ttc" id="aa08769_html_ab13c5f8c167eb49e48da82104f36b1d5"><div class="ttname"><a href="../../de/d5d/a08769.html#ab13c5f8c167eb49e48da82104f36b1d5">MENU_EXPANSION_NUMPAD_MENU</a></div><div class="ttdeci">const int MENU_EXPANSION_NUMPAD_MENU</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08769_source.html#l00052">expansionconstants.c:52</a></div></div>
<div class="ttc" id="aa08769_html_ad39fbc78a3cd87c7a01d35d926627060"><div class="ttname"><a href="../../de/d5d/a08769.html#ad39fbc78a3cd87c7a01d35d926627060">COLOR_EXPANSION_NOTIFICATION_SUCCSESS</a></div><div class="ttdeci">static const int COLOR_EXPANSION_NOTIFICATION_SUCCSESS</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08769_source.html#l00067">expansionconstants.c:67</a></div></div>
<div class="ttc" id="aa08769_html_ade00ff1f34ba79d21f7a8ab1779d4073"><div class="ttname"><a href="../../de/d5d/a08769.html#ade00ff1f34ba79d21f7a8ab1779d4073">MENU_EXPANSION_CODELOCK_MENU</a></div><div class="ttdeci">const int MENU_EXPANSION_CODELOCK_MENU</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08769_source.html#l00051">expansionconstants.c:51</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_de119202d4d7d77060c2650b6b182e1f.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_cac75cb36f33f2619f18c276b03975f2.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_e5bea4d61ae69b071c9b7e40e2af44c5.html">mission</a></li><li class="navelem"><a class="el" href="../../da/d2c/a08718.html">missiongameplay.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
